Add message
Add a message to a conversation. For inbound messages the author is assumed to be the requester of the conversation (end user). For outbound messages the author is specified using the agentId field.
If attachments are added to the message, they will be copied and stored in Dixa.
Supported channels are Chat, Messenger, Contact Form, Email, Sms (outbound only), Whatsapp (outbound and Markdown only).
Supported Markdown syntax for Markdown content: bold **text**, italic *text*, bold & italic ***text***, strikethrough ~text~, blockquote > Quoted text. \n Message about quoted text, ordered list List:\n1. Item\n2. Item\n3. Item, unordered list List:\n* Item\n* Item\n* Item, inline code This is code``.
Whatsapp channel:
Only one attachment is allowed per WhatsApp message.
Supports the following file types for attachments: .jpg, .jpeg, .png, .pdf, .doc, .docx, .pptx, .xlsx
ApiKeyAuth conversation.replyAuthorization<token>Scope: conversation.reply
conversationId*integerint64The message to be added to a conversation
application/json- body
Only Outbound messages are supported for Sms and Whatsapp.
content*||attachments?array<>integrationEmail?stringInternal email address registered for the integration with format: <email-address>@email.dixa.io
externalId?stringClient generated identifier for external reference
The added message
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/conversations/{conversationId}/messages' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "content": { "value": "I need some help!", "_type": "Html" }, "attachments": [ { "url": "http://attachment.url", "prettyName": "Filename" } ], "_type": "Inbound"}'